---
title: Configuration 
---

### Configuration

Below is the full configuration available with defaults values:

    "example" => [
        "type"   => "anomaly.field_type.tags",
        "config" => [
            "min"           => null,
            "max"           => null,
            "options"       => [],
            "filter"        => null,
            "default_value" => null,
            "handler"       => "Anomaly\TagsFieldType\TagsFieldTypeOptions@handle"
        ]
    ]

###### Configuration

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Example</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

min

</td>

<td>

2

</td>

<td>

The minimum number of allowed tags.

</td>

</tr>

<tr>

<td>

max

</td>

<td>

2

</td>

<td>

The maximum number of allowed tags.

</td>

</tr>

<tr>

<td>

options

</td>

<td>

["foo", "bar"]

</td>

<td>

An array of available options.

</td>

</tr>

<tr>

<td>

filter

</td>

<td>

FILTER_VALIDATE_EMAIL

</td>

<td>

A validation filter to apply. Valid options are `FILTER_VALIDATE_EMAIL`, `FILTER_VALIDATE_URL`, and `FILTER_VALIDATE_IP`.

</td>

</tr>

<tr>

<td>

default_value

</td>

<td>

["foo"]

</td>

<td>

The default value.

</td>

</tr>

<tr>

<td>

handler

</td>

<td>

App\MyTags@handle

</td>

<td>

The options handler.

</td>

</tr>

</tbody>

</table>
